package com.xydl.cac.spectrogram;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class SpectrogramHandler {

    @Resource
    ProcessorYsp processorYsp;

    public void processFile(Integer typeId, String localFilePath) {
        // 油色谱谱图
        if (typeId == 1) {
            processorYsp.process(localFilePath);
        } else {
            log.error("缺少该类型" + typeId + "的谱图处理模块");
        }
    }
}
